#### Previous topic

scipy.spatial.distance.cosine

#### Next topic

scipy.spatial.distance.euclidean

# scipy.spatial.distance.dice

`scipy.spatial.distance.``dice`(u, v)

  Computes the Dice dissimilarity between two boolean 1-D arrays.

  The Dice dissimilarity between u and v, is

  \[\frac{c_{TF} + c_{FT}} {2c_{TT} + c_{FT} + c_{TF}}\]

  where \(c_{ij}\) is the number of occurrences of \(\mathtt{u[k]} = i\) and \(\mathtt{v[k]} = j\) for \(k < n\).

  Parameters:

  u : (N,) ndarray, bool

  > Input 1-D array.

  v : (N,) ndarray, bool

  > Input 1-D array.

  Returns:

  dice : double

  > The Dice dissimilarity between 1-D arrays u and v.